Subject: [PATCH] Add noconfirm to 'package-autoremove'
From: Sean Devlin <[email-masked]>
To: [email-masked]
Date: Mon, 21 Oct 2024 11:58:34 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi folks,

Attached is a patch adding an optional NOCONFIRM argument to package-autoremove to skip user confirmation before removing packages.

I want to call package-autoremove in my init file to ensure there are no packages installed except those I configured explicitly via package-selected-packages.

For example, in one session I might install package XYZ interactively via the package menu to try it out. If I decide I like it, I’ll add it to package-selected-packages in my init file to keep it around. Otherwise, I want to make sure it gets blown away the next time I start Emacs.

This workflow is cumbersome in the current implementation of package-autoremove, which prompts the user before removing any packages. This patch adds an optional NOCONFIRM argument similar to what is implemented in package-install-selected-packages.

Please let me know if any changes are needed.

Thanks!